Debian Bug report logs - #596940
unblock: kdepim/4:4.4.6-1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Modestas Vainius <modestas@vainius.eu>

Date: Wed, 15 Sep 2010 09:01:15 UTC

Severity: normal

Tags: moreinfo

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#596940; Package release.debian.org. (Wed, 15 Sep 2010 09:01:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 15 Sep 2010 09:01:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: future unblock: kdepim/4:4.4.6-1
Date: Wed, 15 Sep 2010 11:55:22 +0300
Package: release.debian.org
Severity: wishlist
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

Hello,

I would like to hear your opinion before uploading. KDE has recently released a
new patch release (4.4.6) for its kdepim suite 4.4.x series (kdepim-runtime and
kdepim source packages in Debian). KDE has a rather strict policy what goes
into its patch releases (no new features, only bug fixes). So I think it makes
much sense to release Squeeze with the latest bugfix version from upstream
because a few months of bug fixing went into kdepim* 4.4.6. Also please note
that 4.4.6 is probably the last release of the old kdepim* codebase while
upstream is actively working on the kdepim* 4.5 which is >70% rewrite so to
speak. In my opinion, this makes the update even more important given the
length of the Debian stable lifecycle.

Speaking strictly about kdepim source package, its diff is rather big (see
diffstat below). However, given what I said above, would you grant a freeze
exception for this package (after it proves itself in unstable obviously)?
Thank you for considering.

$ diff -uNr kdepim-4.4.5 kdepim-4.4.6 | diffstat
 .emacs-dirvars                         |   14 ---
 .kateconfig                            |    1 
 .krazy                                 |    5 -
 blogilo/src/composer/bilboeditor.cpp   |    2 
 doc/akregator/index.cache.bz2          |binary
 doc/blogilo/index.cache.bz2            |binary
 doc/kabcclient/index.cache.bz2         |binary
 doc/kalarm/index.cache.bz2             |binary
 doc/kioslave/news/index.cache.bz2      |binary
 doc/kjots/index.cache.bz2              |binary
 doc/kleopatra/index.cache.bz2          |binary
 doc/kmail/index.cache.bz2              |binary
 doc/knode/index.cache.bz2              |binary
 doc/knotes/index.cache.bz2             |binary
 doc/konsolekalendar/index.cache.bz2    |binary
 doc/kontact-admin/index.cache.bz2      |binary
 doc/kontact/index.cache.bz2            |binary
 doc/korganizer/index.cache.bz2         |binary
 doc/ktimetracker/index.cache.bz2       |binary
 doc/kwatchgnupg/index.cache.bz2        |binary
 kalarm/Changelog                       |    9 +-
 kalarm/alarmcalendar.cpp               |    9 +-
 kalarm/cal/kaeventdata.cpp             |    7 -
 kalarm/cal/kaeventdata.h               |   10 +-
 kalarm/editdlgtypes.cpp                |   18 +++-
 kalarm/kaevent.h                       |    4 
 kalarm/kalarm-1.2.1-general.pl         |   96 +++++++++++------------
 kalarm/kalarm-1.9.5-defaults.pl        |  136 ++++++++++++++++-----------------
 kalarm/kalarm-version.pl               |   16 +--
 kalarm/kalarm.h                        |    2 
 kalarm/messagewin.cpp                  |   10 +-
 kalarm/prefdlg.cpp                     |    7 +
 kalarm/sounddlg.cpp                    |   31 ++++++-
 kalarm/sounddlg.h                      |    8 +
 kalarm/templatedlg.cpp                 |    4 
 kdepim-version.h                       |    2 
 kleopatra/crypto/gui/newresultpage.cpp |    1 
 kmail/accountdialog.cpp                |    8 +
 kmail/attachmentstrategy.cpp           |    4 
 kmail/distributionlistdialog.cpp       |   16 +++
 kmail/distributionlistdialog.h         |    2 
 kmail/folderview.cpp                   |   13 +--
 kmail/headerstyle.cpp                  |    4 
 kmail/kmaccount.cpp                    |    8 +
 kmail/kmacctcachedimap.cpp             |    3 
 kmail/kmail.kcfg.cmake                 |    6 -
 kmail/kmailicalifaceimpl.cpp           |    2 
 kmail/kmcommands.cpp                   |    8 +
 kmail/kmcomposewin.cpp                 |    2 
 kmail/kmfolder.cpp                     |   14 +--
 kmail/kmfolder.h                       |   10 +-
 kmail/kmfoldercachedimap.h             |    2 
 kmail/kmfolderdialog.cpp               |    6 +
 kmail/kmfoldermaildir.cpp              |   34 ++++++--
 kmail/kmkernel.cpp                     |   18 ++++
 kmail/kmkernel.h                       |    2 
 kmail/kmmainwidget.h                   |    1 
 kmail/kmsystemtray.cpp                 |   20 ++++
 kmail/mailinglistpropertiesdialog.cpp  |    4 
 kmail/mailinglistpropertiesdialog.h    |    2 
 kmail/newfolderdialog.cpp              |    2 
 kmail/renamejob.cpp                    |   12 ++
 kmail/util.cpp                         |    7 +
 kmail/util.h                           |    2 
 knode/knconfigwidgets.cpp              |    6 +
 libkdepim/addresseelineedit.cpp        |    2 
 mimelib/doc/mimepp.html                |    2 
 mimelib/doc/util.html                  |    2 
 68 files changed, 381 insertions(+), 235 deletions(-)


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=lt_LT.UTF-8, LC_CTYPE=lt_LT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#596940; Package release.debian.org. (Fri, 17 Sep 2010 13:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 17 Sep 2010 13:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 596940@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Modestas Vainius <modestas@vainius.eu>, 596940@bugs.debian.org
Subject: Re: Bug#596940: future unblock: kdepim/4:4.4.6-1
Date: Fri, 17 Sep 2010 15:07:23 +0200
On 15/09/2010 10:55, Modestas Vainius wrote:
> 
> Speaking strictly about kdepim source package, its diff is rather big
> (see diffstat below). However, given what I said above, would you grant
> a freeze exception for this package (after it proves itself in unstable
> obviously)? Thank you for considering.
> 

Having the complete diff would certainly help to decide. Would you mind
giving such diff please?

(P.S.: You can upload it to experimental if you want)

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added tag(s) moreinfo. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 18 Sep 2010 16:03:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#596940; Package release.debian.org. (Sat, 18 Sep 2010 19:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 18 Sep 2010 19:42:06 GMT) Full text and rfc822 format available.

Message #17 received at 596940@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 596940@bugs.debian.org
Subject: Re: Bug#596940: future unblock: kdepim/4:4.4.6-1
Date: Sat, 18 Sep 2010 22:19:49 +0300
[Message part 1 (text/plain, inline)]
Hello,

On penktadienis 17 Rugsėjis 2010 16:07:23 Mehdi Dogguy wrote:
> On 15/09/2010 10:55, Modestas Vainius wrote:
> > Speaking strictly about kdepim source package, its diff is rather big
> > (see diffstat below). However, given what I said above, would you grant
> > a freeze exception for this package (after it proves itself in unstable
> > obviously)? Thank you for considering.
> 
> Having the complete diff would certainly help to decide. Would you mind
> giving such diff please?
> 
> (P.S.: You can upload it to experimental if you want)

Uploaded as kdepim_4:4.4.6-0exp1 to experimental.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#596940; Package release.debian.org. (Mon, 20 Sep 2010 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 20 Sep 2010 21:24:04 GMT) Full text and rfc822 format available.

Message #22 received at 596940@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Modestas Vainius <modestas@vainius.eu>, 596940@bugs.debian.org
Subject: Re: Bug#596940: future unblock: kdepim/4:4.4.6-1
Date: Mon, 20 Sep 2010 23:19:10 +0200
On 09/18/2010 09:19 PM, Modestas Vainius wrote:
> Hello,
> 
> On penktadienis 17 Rugsėjis 2010 16:07:23 Mehdi Dogguy wrote:
>> On 15/09/2010 10:55, Modestas Vainius wrote:
>>> Speaking strictly about kdepim source package, its diff is rather
>>> big (see diffstat below). However, given what I said above, would
>>> you grant a freeze exception for this package (after it proves
>>> itself in unstable obviously)? Thank you for considering.
>> 
>> Having the complete diff would certainly help to decide. Would you
>> mind giving such diff please?
>> 
>> (P.S.: You can upload it to experimental if you want)
> 
> Uploaded as kdepim_4:4.4.6-0exp1 to experimental.
> 

There are some changes in the changelog (some entries are removed or
modified). Could you tell us why?

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#596940; Package release.debian.org. (Mon, 20 Sep 2010 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 20 Sep 2010 22:09:06 GMT) Full text and rfc822 format available.

Message #27 received at 596940@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 596940@bugs.debian.org
Subject: Re: Bug#596940: future unblock: kdepim/4:4.4.6-1
Date: Tue, 21 Sep 2010 01:06:10 +0300
[Message part 1 (text/plain, inline)]
Hello,

On antradienis 21 Rugsėjis 2010 00:19:10 Mehdi Dogguy wrote:
> On 09/18/2010 09:19 PM, Modestas Vainius wrote:
> > Hello,
> > 
> > On penktadienis 17 Rugsėjis 2010 16:07:23 Mehdi Dogguy wrote:
> >> On 15/09/2010 10:55, Modestas Vainius wrote:
> >>> Speaking strictly about kdepim source package, its diff is rather
> >>> big (see diffstat below). However, given what I said above, would
> >>> you grant a freeze exception for this package (after it proves
> >>> itself in unstable obviously)? Thank you for considering.
> >> 
> >> Having the complete diff would certainly help to decide. Would you
> >> mind giving such diff please?
> >> 
> >> (P.S.: You can upload it to experimental if you want)
> > 
> > Uploaded as kdepim_4:4.4.6-0exp1 to experimental.
> 
> There are some changes in the changelog (some entries are removed or
> modified). Could you tell us why?

Ah, that clean up was part of packaging migration to git. All entries which 
were removed used to represent versions which have never been uploaded to 
official archive (so they should have never been there in the first place). 
But I did my best to merge changes into proper entries in order not to lose 
any authorship information.

P.S. You will see such debian/changelog changes in most packages maintained by 
Debian Qt/KDE team. I cleaned up all packages in such a way.


-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#596940; Package release.debian.org. (Tue, 21 Sep 2010 08:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 21 Sep 2010 08:24:04 GMT) Full text and rfc822 format available.

Message #32 received at 596940@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Modestas Vainius <modestas@vainius.eu>, 596940@bugs.debian.org
Subject: Re: Bug#596940: future unblock: kdepim/4:4.4.6-1
Date: Tue, 21 Sep 2010 10:19:47 +0200
tags 596940 + pending
thanks

On 09/21/2010 12:06 AM, Modestas Vainius wrote:
> [...]
> 

Ok, please upload and let us know once the package has been accepted.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added tag(s) pending. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Tue, 21 Sep 2010 08:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#596940; Package release.debian.org. (Tue, 21 Sep 2010 15:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 21 Sep 2010 15:42:09 GMT) Full text and rfc822 format available.

Message #39 received at 596940@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 596940@bugs.debian.org
Subject: Re: Bug#596940: future unblock: kdepim/4:4.4.6-1
Date: Tue, 21 Sep 2010 18:39:45 +0300
[Message part 1 (text/plain, inline)]
retitle 596940 unblock: kdepim/4:4.4.6-1
severity 596940 normal
thanks

Hello,

On antradienis 21 Rugsėjis 2010 11:19:47 Mehdi Dogguy wrote:
> tags 596940 + pending
> thanks
> 
> On 09/21/2010 12:06 AM, Modestas Vainius wrote:
> > [...]
> 
> Ok, please upload and let us know once the package has been accepted.
> 
> Regards,

4:4.4.6-1 is in.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'unblock: kdepim/4:4.4.6-1' from 'future unblock: kdepim/4:4.4.6-1' Request was from Modestas Vainius <modestas@vainius.eu> to control@bugs.debian.org. (Tue, 21 Sep 2010 15:42:11 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'wishlist' Request was from Modestas Vainius <modestas@vainius.eu> to control@bugs.debian.org. (Tue, 21 Sep 2010 15:42:12 GMT) Full text and rfc822 format available.

Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Tue, 21 Sep 2010 15:42:15 GMT) Full text and rfc822 format available.

Notification sent to Modestas Vainius <modestas@vainius.eu>:
Bug acknowledged by developer. (Tue, 21 Sep 2010 15:42:15 GMT) Full text and rfc822 format available.

Message #48 received at 596940-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Modestas Vainius <modestas@vainius.eu>
Cc: 596940-done@bugs.debian.org
Subject: Re: Bug#596940: future unblock: kdepim/4:4.4.6-1
Date: Tue, 21 Sep 2010 17:41:36 +0200
On 21/09/2010 17:39, Modestas Vainius wrote:
> retitle 596940 unblock: kdepim/4:4.4.6-1
> severity 596940 normal
> thanks
> 
> Hello,
> 
> On antradienis 21 Rugsėjis 2010 11:19:47 Mehdi Dogguy wrote:
>> tags 596940 + pending
>> thanks
>>
>> On 09/21/2010 12:06 AM, Modestas Vainius wrote:
>>> [...]
>>
>> Ok, please upload and let us know once the package has been accepted.
>>
>> Regards,
> 
> 4:4.4.6-1 is in.
> 

Unblocked.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 20 Oct 2010 07:33:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:33:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.